Gst::SDP::Key Class Reference

The contents of the SDP "k=" field which is used to convey encryption keys. More...

`#include <gstreamermm/sdpmessage.h>`

## Public Member Functions

| Key (const GstSDPKey*gobject_)
| Key (const Key& other)
| Key (Key&& other)
| ~Key ()
GstSDPKey* | gobj ()
const GstSDPKey* | gobj () const
Glib::ustring | get_type () const
Glib::ustring | get_data () const

## Protected Attributes

GstSDPKey | gobject_

## Detailed Description

The contents of the SDP "k=" field which is used to convey encryption keys.

## Constructor & Destructor Documentation

## Key() [1/3]

Gst::SDP::Key::Key | ( | const GstSDPKey * | gobject_ | ) |

explicit

## Key() [2/3]

Gst::SDP::Key::Key | ( | const Key& | other | ) |

## Key() [3/3]

Gst::SDP::Key::Key | ( | Key&& | other | ) |

## ~Key()

Gst::SDP::Key::~Key | ( |  | ) |

## Member Function Documentation

## get_data()

Glib::ustring Gst::SDP::Key::get_data | ( |  | ) | const

## get_type()

Glib::ustring Gst::SDP::Key::get_type | ( |  | ) | const

## gobj() [1/2]

GstSDPKey* Gst::SDP::Key::gobj | ( |  | ) |

inline

## gobj() [2/2]

const GstSDPKey* Gst::SDP::Key::gobj | ( |  | ) | const

inline

## Member Data Documentation

## gobject_

GstSDPKey Gst::SDP::Key::gobject_

protected